# Hstore Class Reference
[Common wrapper and helper classes]

Inheritance diagram for Hstore:
[legend]

List of all members.

## Public Member Functions

| setList ($array)
| getList ()
| get ($key)
| set ($key, $value)
| drop ($key)
| isExists ($key)
| toValue ($raw)
| toString ()

## Static Public Member Functions

static | create ($string)
| Create Hstore by raw string.
static | make ($array)
| Create Hstore by array.

## Protected Member Functions

| quoteValue ($value)

## Protected Attributes

| $properties = array()

## Detailed Description

Definition at line 15 of file Hstore.class.php.

## Member Function Documentation

static Hstore::create | ( | $ | string | ) | `[static]`

Create Hstore by raw string.

Returns:
  Hstore

Definition at line 24 of file Hstore.class.php.

Hstore::drop | ( | $ | key | ) |

Returns:
  Hstore

Definition at line 79 of file Hstore.class.php.

Hstore::get | ( | $ | key | ) |

Definition at line 58 of file Hstore.class.php.

References isExists().

Here is the call graph for this function:

Hstore::getList | ( |  | ) |

Definition at line 53 of file Hstore.class.php.

Hstore::isExists | ( | $ | key | ) |

Definition at line 86 of file Hstore.class.php.

Referenced by get().

static Hstore::make | ( | $ | array | ) | `[static]`

Create Hstore by array.

Returns:
  Hstore

Definition at line 36 of file Hstore.class.php.

Referenced by HstoreExpression::containValueList(), and PrimitiveHstore::exportValue().

Hstore::quoteValue | ( | $ | value | ) | `[protected]`

Definition at line 123 of file Hstore.class.php.

Hstore::set | ( | $ | key,
|  | $ | value |
| ) |  |  |

Returns:
  Hstore

Definition at line 69 of file Hstore.class.php.

Hstore::setList | ( | $ | array | ) |

Returns:
  Hstore

Definition at line 46 of file Hstore.class.php.

Hstore::toString | ( |  | ) |

Implements Stringable.

Definition at line 106 of file Hstore.class.php.

Referenced by HstoreExpression::containHstore().

Hstore::toValue | ( | $ | raw | ) |

Returns:
  Hstore

Definition at line 94 of file Hstore.class.php.

## Member Data Documentation

Hstore::$properties = array()`[protected]`

Definition at line 17 of file Hstore.class.php.

The documentation for this class was generated from the following file:

- main/Base/Hstore.class.php